# Gimp.ExportProcedure

    const Gimp = imports.gi.Gimp;

    let exportProcedure = new Gimp.ExportProcedure({
        capabilities: value,
        supports_comment: value,
        supports_exif: value,
        supports_iptc: value,
        supports_profile: value,
        supports_thumbnail: value,
        supports_xmp: value,
    });

Export procedures implement image export.

Registered export procedures will be automatically available in the export interfaces and functions of GIMP. The detection (to decide which file is redirected to which plug-in procedure) depends on the various methods set with [class@FileProcedure] API.

## Hierarchy

- GObject.Object
  - Gimp.Procedure
    - Gimp.FileProcedure
      - Gimp.ExportProcedure

## Constructors

- Gimp.ExportProcedure.new

## Methods

- Gimp.ExportProcedure.prototype.get_support_comment
- Gimp.ExportProcedure.prototype.get_support_exif
- Gimp.ExportProcedure.prototype.get_support_iptc
- Gimp.ExportProcedure.prototype.get_support_profile
- Gimp.ExportProcedure.prototype.get_support_thumbnail
- Gimp.ExportProcedure.prototype.get_support_xmp
- Gimp.ExportProcedure.prototype.set_capabilities
- Gimp.ExportProcedure.prototype.set_support_comment
- Gimp.ExportProcedure.prototype.set_support_exif
- Gimp.ExportProcedure.prototype.set_support_iptc
- Gimp.ExportProcedure.prototype.set_support_profile
- Gimp.ExportProcedure.prototype.set_support_thumbnail
- Gimp.ExportProcedure.prototype.set_support_xmp

## Properties

- capabilities
- supports-comment
- supports-exif
- supports-iptc
- supports-profile
- supports-thumbnail
- supports-xmp